//
//  TestCIFilterAppDelegate.m
//  TestCIFilter
//
//  Created by Kevin Gross on 10/8/10.
//  Copyright 2010 Kevin Gross www.art144.com. All rights reserved.
//

#import "TestCIFilterAppDelegate.h"
#import <Quartz/Quartz.h>
#import "CIView.h"

@implementation TestCIFilterAppDelegate

@synthesize window;

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification {
	// Insert code here to initialize your application 
}

- (void)openPanelDidEnd:(NSOpenPanel *)openPanel
			 returnCode:(int)returnCode
			contextInfo:(void *)x
{
	if(returnCode == NSOKButton){
		
		NSString *path = [openPanel filename];
		NSURL *url = [NSURL fileURLWithPath:path];
		NSLog(@"the url is %@");
		CIImage *image = [[CIImage alloc] initWithContentsOfURL:url];
		
		if (image == nil) {
			NSLog(@"failed to initialize the image");
		} else {
			NSLog(@"image initialized");
		}
		
		// initialize the ciView instance variables
		[ciView setImage:image];
		
		[image release];
	}
}

- (IBAction) showOpenPanel:(id)sender
{
	NSOpenPanel *panel = [NSOpenPanel openPanel];
	//run the open panel
	[panel beginSheetForDirectory:nil
							 file:nil
							types:[NSImage imageFileTypes]
				   modalForWindow:[ciView window]
					modalDelegate:self
				   didEndSelector:
	 @selector(openPanelDidEnd:returnCode:contextInfo:)
					  contextInfo:NULL];
}

@end
